Skip to navigation

Get Order Refund

Returns a single refund for the given order by refund ID. The response has the same shape as the Get Refund endpoint.

Requires at least one of the following scopes:

  • store_v2_transactions_read_only
  • store_v2_transactions

Note: Use a refund ID that belongs to the order in the path. The refund ID is unique across the store, so a refund ID that belongs to a different order still resolves to that refund.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Order Transactionsread and modify transactions and payment_methodsstore_v2_transactions
Order Transactionsread transactions and payment_methodsstore_v2_transactions_read_only
Ordersread and modify payment_methodsstore_v2_orders
Ordersread payment_methodsstore_v2_orders_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

order_idintegerRequired

The ID of the Order to which the transactions belong.

refund_idintegerRequired
Refund ID.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Response

The ID of the created refund.
dataobjectOptional
metaobjectOptional
Response metadata.

Errors

422
Unprocessable Entity Error